libpqxx 3.1.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
pqxx::result::const_fielditerator Class Reference

`#include <result.hxx>`

Inheritance diagram for pqxx::result::const_fielditerator:

## Public Types

typedef tuple::size_type | size_type
typedef tuple::difference_type | difference_type
typedef field | reference
Public Types inherited from pqxx::result::field
typedef size_t | size_type

## Public Member Functions

| const_fielditerator (const tuple &T, tuple::size_type C) throw ()
| const_fielditerator (const field &F) throw ()
Dereferencing operators
pointer | operator-> () const
reference | operator* () const
Manipulations
const_fielditerator | operator++ (int)
const_fielditerator & | operator++ ()
const_fielditerator | operator-- (int)
const_fielditerator & | operator-- ()
const_fielditerator & | operator+= (difference_type i)
const_fielditerator & | operator-= (difference_type i)
Comparisons
bool | operator== (const const_fielditerator &i) const
bool | operator!= (const const_fielditerator &i) const
bool | operator< (const const_fielditerator &i) const
bool | operator<= (const const_fielditerator &i) const
bool | operator> (const const_fielditerator &i) const
bool | operator>= (const const_fielditerator &i) const
Public Member Functions inherited from pqxx::result::field
| field (const tuple &T, tuple::size_type C) throw ()
| Constructor.
template<>
bool | to (const char *&Obj) const
| Specialization: `to(const char *&)`.
bool | operator== (const field &) const
| Byte-by-byte comparison of two fields (all nulls are considered equal)
bool | operator!= (const field &rhs) const
| Byte-by-byte comparison (all nulls are considered equal)
const char * | name () const
| Column name.
oid | type () const
| Column type.
oid | table () const
| What table did this column come from? Requires PostgreSQL 7.4 C API.
tuple::size_type | num () const
tuple::size_type | table_column () const
| What column number in its originating table did this column come from?
const char * | c_str () const
| Read as plain C string.
template<typename T >
bool | to (T &Obj) const
| Read value into Obj; or leave Obj untouched and return `false` if null.
template<typename T >
bool | operator>> (T &Obj) const
| Read value into Obj; or leave Obj untouched and return `false` if null.
template<typename T >
bool | to (T &Obj, const T &Default) const
| Read value into Obj; or use Default & return `false` if null.
template<typename T >
T | as (const T &Default) const
| Return value as object of given type, or Default if null.
template<typename T >
T | as () const
| Return value as object of given type, or throw exception if null.
bool | is_null () const
size_type | size () const throw ()

## Arithmetic operators

const_fielditerator | operator+ (difference_type) const
const_fielditerator | operator- (difference_type) const
difference_type | operator- (const_fielditerator) const
const_fielditerator | operator+ (difference_type, const_fielditerator)

## Additional Inherited Members

Protected Member Functions inherited from pqxx::result::field
tuple::size_type | col () const throw ()
Protected Attributes inherited from pqxx::result::field
tuple | m_tup
tuple::size_type | m_col

## Member Typedef Documentation

typedef tuple::difference_type pqxx::result::const_fielditerator::difference_type

typedef field pqxx::result::const_fielditerator::reference

typedef tuple::size_type pqxx::result::const_fielditerator::size_type

## Constructor & Destructor Documentation

pqxx::result::const_fielditerator::const_fielditerator | ( | const tuple & | T,
|  | tuple::size_type | C
| ) |  | throw ()

pqxx::result::const_fielditerator::const_fielditerator | ( | const field & | F | ) | throw ()

## Member Function Documentation

bool pqxx::result::const_fielditerator::operator!= | ( | const const_fielditerator & | i | ) | const

reference pqxx::result::const_fielditerator::operator* | ( |  | ) | const

result::const_fielditerator pqxx::result::const_fielditerator::operator+ | ( | difference_type | o | ) | const

pqxx::result::const_fielditerator pqxx::result::const_fielditerator::operator++ | ( | int |  | ) |

const_fielditerator& pqxx::result::const_fielditerator::operator++ | ( |  | ) |

const_fielditerator& pqxx::result::const_fielditerator::operator+= | ( | difference_type | i | ) |

result::const_fielditerator pqxx::result::const_fielditerator::operator- | ( | difference_type | o | ) | const

result::const_fielditerator::difference_type pqxx::result::const_fielditerator::operator- | ( | const_fielditerator | i | ) | const

References pqxx::result::field::num().

pqxx::result::const_fielditerator pqxx::result::const_fielditerator::operator-- | ( | int |  | ) |

const_fielditerator& pqxx::result::const_fielditerator::operator-- | ( |  | ) |

const_fielditerator& pqxx::result::const_fielditerator::operator-= | ( | difference_type | i | ) |

pointer pqxx::result::const_fielditerator::operator-> | ( |  | ) | const

bool pqxx::result::const_fielditerator::operator< | ( | const const_fielditerator & | i | ) | const

bool pqxx::result::const_fielditerator::operator<= | ( | const const_fielditerator & | i | ) | const

bool pqxx::result::const_fielditerator::operator== | ( | const const_fielditerator & | i | ) | const

bool pqxx::result::const_fielditerator::operator> | ( | const const_fielditerator & | i | ) | const

bool pqxx::result::const_fielditerator::operator>= | ( | const const_fielditerator & | i | ) | const

## Friends And Related Function Documentation

const_fielditerator operator+ | ( | difference_type | ,
|  | const_fielditerator |
| ) |  |

friend

The documentation for this class was generated from the following files:

- result.hxx
- result.cxx